> For the complete documentation index, see [llms.txt](https://api.docs.fan/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api.docs.fan/profile/preferences/update.md).

# Update

Use this endpoint to partially update a profile's preferences. Only the fields present in the body are changed; omitted fields are left untouched.

### Required Scopes

`account:update`

## Request

### URL

`PATCH /v2/profile/{ID}/preferences`

### Path Parameters

| Name | Required | Description                                                                                                                            |
| ---- | -------- | -------------------------------------------------------------------------------------------------------------------------------------- |
| `ID` | true     | Unique FanID for the customer's account (tenant-specific). This value is a property of the ID Token returned in the SSO login process. |

### Headers

<table><thead><tr><th width="177">Name</th><th>Description</th></tr></thead><tbody><tr><td>Authorization</td><td>User access token from the code exchange.</td></tr></tbody></table>

### Data

<table><thead><tr><th width="280">Name</th><th width="104" data-type="checkbox">Required</th><th>Description</th></tr></thead><tbody><tr><td>preferred_name</td><td>false</td><td>The customer's preferred display name.</td></tr><tr><td>preferred_username</td><td>false</td><td>The customer's preferred username.</td></tr><tr><td>preferred_language</td><td>false</td><td>The customer's preferred language.</td></tr><tr><td>preferred_tshirt_size</td><td>false</td><td>The customer's preferred t-shirt size.</td></tr><tr><td>avatar_url</td><td>false</td><td>URL of the customer's avatar image.</td></tr><tr><td>receiving_gifts_from_fanatics</td><td>false</td><td>Whether the customer has opted in to receiving gifts from Fanatics.</td></tr><tr><td>fanatics_one_opt_in</td><td>false</td><td>Deprecated: use <code>fanatics_one_opt_in_by_tenant</code> for tenant-specific opt-in preferences.</td></tr><tr><td>fanatics_one_opt_in_by_tenant</td><td>false</td><td>Map of tenant id to FanaticsONE opt-in status.</td></tr></tbody></table>

## Response

Returns `200 OK` with no body on success.

## Full Spec

{% openapi src="/files/Rvz5AclbuaMMsKqc2MTO" path="/v2/profile/{ID}/preferences" method="patch" %}
[openapi-profile-gw.json](https://3657007978-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F1G9XmPfyfOHS6i6FdlzL%2Fuploads%2Fgit-blob-a68e994e124ac5da5f3535adc09057feef8b39a3%2Fopenapi-profile-gw.json?alt=media)
{% endopenapi %}
